utility.h File Reference

Go to the source code of this file.

## Classes

struct | std::integer_sequence< _Tp, _Idx >

## Namespaces

namespace | std

## Typedefs

template<typename _Tp , typename _Up = typename remove_cv<_Tp>::type, typename = typename enable_if<is_same<_Tp, _Up>::value>::type, size_t = tuple_size<_Tp>::value>
using | std::__enable_if_has_tuple_size = _Tp
template<typename _Tp >
using | std::__is_in_place_type = bool_constant< __is_in_place_type_v< _Tp > >
template<size_t __i, typename _Tp >
using | std::__tuple_element_t = typename tuple_element< __i, _Tp >::type
template<size_t... _Idx>
using | std::index_sequence = integer_sequence< size_t, _Idx... >
template<typename... _Types>
using | std::index_sequence_for = make_index_sequence< sizeof...(_Types)>
template<size_t _Num>
using | std::make_index_sequence = make_integer_sequence< size_t, _Num >
template<typename _Tp , _Tp _Num>
using | std::make_integer_sequence = __make_integer_seq< integer_sequence, _Tp, _Num >
template<size_t __i, typename _Tp >
using | std::tuple_element_t = typename tuple_element< __i, _Tp >::type

## Functions

template<typename _Tp , typename... _Types>
constexpr size_t | std::__find_uniq_type_in_pack ()

## Variables

template<typename >
constexpr bool | std::__is_in_place_index_v
template<size_t _Nm>
constexpr bool | std::__is_in_place_index_v< in_place_index_t< _Nm > >
template<typename >
constexpr bool | std::__is_in_place_type_v
template<typename _Tp >
constexpr bool | std::__is_in_place_type_v< in_place_type_t< _Tp > >
template<typename _Range >
constexpr bool | std::ranges::__detail::__is_subrange
constexpr in_place_t | std::in_place
template<size_t _Idx>
constexpr in_place_index_t< _Idx > | std::in_place_index
template<typename _Tp >
constexpr in_place_type_t< _Tp > | std::in_place_type
template<typename _Tp >
constexpr size_t | std::tuple_size_v

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <utility>.

This file contains the parts of `<utility>` needed by other headers, so they don't need to include the whole of `<utility>`.

Definition in file utility.h.

## Variable Documentation

## __is_subrange

template<typename _Range >

constexpr bool std::ranges::__detail::__is_subrange

inline constexpr

Definition at line 279 of file utility.h.